---
title: <msup>
slug: Web/MathML/Element/msup
tags:
  - MathML
  - MathML Reference
  - 'MathML:Element'
  - 'MathML:Script and Limit Schemata'
---
<div>{{MathMLRef}}</div>

<p><span class="seoSummary">The MathML <code>&lt;msup&gt;</code> element is used to attach a superscript to an expression.</span></p>

<p>It uses the following syntax: <code>&lt;msup&gt; <em>base superscript</em> &lt;/msup&gt;</code>.</p>

<h2 id="Attributes">Attributes</h2>

<dl>
 <dt id="attr-class-id-style"><code>class</code>, <code>id</code>, <code>style</code></dt>
 <dd>Provided for use with <a href="/en-US/docs/CSS">stylesheets</a>.</dd>
 <dt id="attr-displaystyle"><code>displaystyle</code></dt>
 <dd>A Boolean value specifying whether more vertical space is used for displayed equations or, if set to <code>false</code>, a more compact layout is used to display formulas. The main effect is that larger versions of operators are displayed, when <code>displaystyle</code> is set to <code>true</code>. See also <code>largeop</code> and <code>movablelimits</code> on {{ MathMLElement("mo") }}.</dd>
 <dt id="attr-href"><code>href</code></dt>
 <dd>Used to set a hyperlink to a specified URI.</dd>
 <dt id="attr-mathbackground"><code>mathbackground</code></dt>
 <dd>The background color. You can use <code>#rgb</code>, <code>#rrggbb</code> and <a href="/en-US/docs/CSS/color_value#Color_Keywords">HTML color names</a>.</dd>
 <dt id="attr-mathcolor"><code>mathcolor</code></dt>
 <dd>The text color. You can use <code>#rgb</code>, <code>#rrggbb</code> and <a href="/en-US/docs/CSS/color_value#Color_Keywords">HTML color names</a>.</dd>
 <dt id="attr-superscriptshift"><code>superscriptshift</code> {{deprecated_inline}}</dt>
 <dd>The minimum space by which to shift the superscript up from the baseline of the expression, as a <a href="/en-US/docs/MathML/Attributes/Values#Lengths">length value.</a><br>
 This attribute is deprecated and will be removed in the future.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>Sample rendering: <img alt="x1" src="/files/3203/msup.png" style="margin-left: 10px; vertical-align: middle;"></p>

<p>Rendering in your browser: <math> <msup> <mi>X</mi> <mn>2</mn> </msup> </math></p>

<pre class="brush: html notranslate">&lt;math&gt;

  &lt;msup&gt;
    &lt;mi&gt;X&lt;/mi&gt;
    &lt;mn&gt;2&lt;/mn&gt;
  &lt;/msup&gt;

&lt;/math&gt;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("MathMLCore", "#subscripts-and-superscripts-msub-msup-msubsup", "msup")}}</td>
   <td>{{Spec2("MathMLCore")}}</td>
   <td>Draft specification</td>
  </tr>
  <tr>
   <td>{{ SpecName('MathML3', 'chapter3.html#presm.msup', 'msup') }}</td>
   <td>{{ Spec2('MathML3') }}</td>
   <td>Current specification</td>
  </tr>
  <tr>
   <td>{{ SpecName('MathML2', 'chapter3.html#presm.msup', 'msup') }}</td>
   <td>{{ Spec2('MathML2') }}</td>
   <td>Initial specification</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("mathml.elements.msup")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{ MathMLElement("msub") }} (Subscript)</li>
 <li>{{ MathMLElement("msubsup") }} (Subscript-superscript pair)</li>
 <li>{{ MathMLElement("mmultiscripts") }} (Prescripts and tensor indices)</li>
</ul>
